package	jp.co.sds_corp.hibiya.connector;

import java.io.Serializable;
import java.util.EventListener;

/**
* {@link IConnector}の接続状態の変更を受け取るオブジェクトのための
* インターフェースです。
*/
public interface IConnectionListener extends EventListener, Serializable
{
	/**
	* IConnectorが接続された時に呼び出されます。
	* @param	ev		接続状態の変更内容を指定します。
	*/
	public void connected( ConnectionEvent ev ) throws Exception;

	/**
	* IConnectorが切断された時に呼び出されます。
	* @param	ev		接続状態の変更内容を指定します。
	*/
	public void disconnected( ConnectionEvent ev ) throws Exception;
}
