package	jp.co.sds_corp.hibiya.server;


/**
* {@link IChecker}の状態の変更を通知するオブジェクトのための
* インターフェースです。
*/
public interface ICheckerChanger
{
	/**
	* 状態の変更を受け取るオブジェクトを追加します。
	* @param	l		状態の変更を受け取るオブジェクト
	*/
	public void addCheckerListener( ICheckerListener l );

	/**
	* 状態の変更を受け取るオブジェクトを削除します。
	* @param	l		状態の変更を受け取るオブジェクト
	*/
	public void removeCheckerListener( ICheckerListener l );

	/**
	* 状態変更イベントを通知します。
	* @param	ev		状態変更イベント
	*/
	public void fireCheckerChange( CheckerChangeEvent ev ) throws Exception;
}
